iccaros

Linux Experts
  • Content Count

    1292
  • Joined

  • Last visited

Posts posted by iccaros

  1. there are many languages and any would work, I would use a Pic processor to grab what ever information and send it over serial (need usb to serial converter) then pick a language you like

    java, mono(C#, VB, ironpython, boo), c++, objective C would all work, just pick one and read up on it..

    this may help it uses java to read a serial port..

    as for drawing graphes.. that is after you can do this much..

    http://java.sun.com/developer/Books/javapr...cookbook/11.pdf

  2. but with email

    you can never tell

    Marty ,email makes no difference,your used to the way windows email clients can receive scripted email. there is no , and I mean no email program for Linux that you can do this with. also to do anything to your system the program would have to run sudo and then have your root password.

    as for finding K-Mail or Konquror open command shell and type the programs name in like kmail.. if that works you can then create an icon like hitest wrote before and for link just put the name of the program.

  3. this project is simple.

    you can use a basic stamp mac software for it http://www.muratnkonar.com/otherstuff/macbs2/

    or just the microchip pic processor http://www.mactech.com/articles/mactech/Vo...ller/index.html

    in either case you have the "processor" send its output to a file, I would save it as csv

    then its up to you, but you could use excel at lest to graph it from a csv file or use nay other programing language to graph the output..

    I say easy because use pic processors all the time , but hopefully I gave you enough information to get started.

    ps this is written with the mind set that you want to do it your self, not just buy one.

  4. clamAV you can use the kbuntu install software and search for it, check it and install

    we need to know which email program to tell you how to integrate.

    since there are no know active viruses for Linux, you can put your mind at rest that your system will be ok, but its always good practice to help protect anyone from you forwarding on an email with a windows virus

    good link

    http://librenix.com/?inode=21

  5. try a live linux cd and run fsck on the disk.. it should fix any issues.

    you may have to run the fsck for your format type (fsck.ext2 for example)

    Name

    fsck - check and repair a Linux file system

    Synopsis

    fsck [ -sAVRTNP ] [ -C [ fd ] ] [ -t fstype ] [filesys ... ] [--] [ fs-specific-options ]

    Description

    fsck is used to check and optionally repair one or more Linux file systems. filesys can be a device name (e.g. /dev/hdc1, /dev/sdb2), a mount point (e.g. /, /usr, /home), or an ext2 label or UUID specifier (e.g. UUID=8868abf6-88c5-4a83-98b8-bfc24057f7bd or LABEL=root). Normally, the fsck program will try to handle filesystems on different physical disk drives in parallel to reduce the total amount of time needed to check all of the filesystems.

    If no filesystems are specified on the command line, and the -A option is not specified, fsck will default to checking filesystems in /etc/fstab serially. This is equivalent to the -As options.

    The exit code returned by fsck is the sum of the following conditions:

    0 - No errors

    1 - File system errors corrected

    2 - System should be rebooted

    4 - File system errors left uncorrected

    8 - Operational error

    16 - Usage or syntax error

    32 - Fsck canceled by user request

    128 - Shared library error

    The exit code returned when multiple file systems are checked is the bit-wise OR of the exit codes for each file system that is checked.

    In actuality, fsck is simply a front-end for the various file system checkers (fsck.fstype) available under Linux. The file system-specific checker is searched for in /sbin first, then in /etc/fs and /etc, and finally in the directories listed in the PATH environment variable. Please see the file system-specific checker manual pages for further details.

    Options

    -s

    Serialize fsck operations. This is a good idea if you are checking multiple filesystems and the checkers are in an interactive mode. (Note: e2fsck(8) runs in an interactive mode by default. To make e2fsck(8) run in a non-interactive mode, you must either specify the -p or -a option, if you wish for errors to be corrected automatically, or the -n option if you do not.)

    -t fslist

    Specifies the type(s) of file system to be checked. When the -A flag is specified, only filesystems that match fslist are checked. The fslist parameter is a comma-separated list of filesystems and options specifiers. All of the filesystems in this comma-separated list may be prefixed by a negation operator 'no' or '!', which requests that only those filesystems not listed in fslist will be checked. If all of the filesystems in fslist are not prefixed by a negation operator, then only those filesystems listed in fslist will be checked.

    Options specifiers may be included in the comma-separated fslist. They must have the format opts=fs-option. If an options specifier is present, then only filesystems which contain fs-option in their mount options field of /etc/fstab will be checked. If the options specifier is prefixed by a negation operator, then only those filesystems that do not have fs-option in their mount options field of /etc/fstab will be checked.

    For example, if opts=ro appears in fslist, then only filesystems listed in /etc/fstab with the ro option will be checked.

    For compatibility with Mandrake distributions whose boot scripts depend upon an unauthorized UI change to the fsck program, if a filesystem type of loop is found in fslist, it is treated as if opts=loop were specified as an argument to the -t option.

    Normally, the filesystem type is deduced by searching for filesys in the /etc/fstab file and using the corresponding entry. If the type can not be deduced, and there is only a single filesystem given as an argument to the -t option, fsck will use the specified filesystem type. If this type is not available, then the default file system type (currently ext2) is used.

    -A

    Walk through the /etc/fstab file and try to check all file systems in one run. This option is typically used from the /etc/rc system initialization file, instead of multiple commands for checking a single file system.

    The root filesystem will be checked first unless the -P option is specified (see below). After that, filesystems will be checked in the order specified by the fs_passno (the sixth) field in the /etc/fstab file. Filesystems with a fs_passno value of 0 are skipped and are not checked at all. Filesystems with a fs_passno value of greater than zero will be checked in order, with filesystems with the lowest fs_passno number being checked first. If there are multiple filesystems with the same pass number, fsck will attempt to check them in parallel, although it will avoid running multiple filesystem checks on the same physical disk.

    Hence, a very common configuration in /etc/fstab files is to set the root filesystem to have a fs_passno value of 1 and to set all other filesystems to have a fs_passno value of 2. This will allow fsck to automatically run filesystem checkers in parallel if it is advantageous to do so. System administrators might choose not to use this configuration if they need to avoid multiple filesystem checks running in parallel for some reason --- for example, if the machine in question is short on memory so that excessive paging is a concern.

    -C [ "fd" ]

    Display completion/progress bars for those filesystem checkers (currently only for ext2 and ext3) which support them. Fsck will manage the filesystem checkers so that only one of them will display a progress bar at a time. GUI front-ends may specify a file descriptor fd, in which case the progress bar information will be sent to that file descriptor.

    -N

    Don't execute, just show what would be done.

    -P

    When the -A flag is set, check the root filesystem in parallel with the other filesystems. This is not the safest thing in the world to do, since if the root filesystem is in doubt things like the e2fsck(8) executable might be corrupted! This option is mainly provided for those sysadmins who don't want to repartition the root filesystem to be small and compact (which is really the right solution).

    -R

    When checking all file systems with the -A flag, skip the root file system (in case it's already mounted read-write).

    -T

    Don't show the title on startup.

    -V

    Produce verbose output, including all file system-specific commands that are executed.

    fs-specific-options

    Options which are not understood by fsck are passed to the filesystem-specific checker. These arguments must not take arguments, as there is no way for fsck to be able to properly guess which arguments take options and which don't.

    Options and arguments which follow the

    -- are treated as file system-specific options to be passed to the file system-specific checker.

    Please note that fsck is not

    designed to pass arbitrarily complicated options to filesystem-specific checkers. If you're doing something complicated, please just execute the filesystem-specific checker directly. If you pass fsck some horribly complicated option and arguments, and it doesn't do what you expect, don't bother reporting it as a bug. You're almost certainly doing something that you shouldn't be doing with fsck.

    Options to different filesystem-specific fsck's are not standardized. If in doubt, please consult the man pages of the filesystem-specific checker. Although not guaranteed, the following options are supported by most file system checkers:

    -a

    Automatically repair the file system without any questions (use this option with caution). Note that e2fsck(8) supports -a for backwards compatibility only. This option is mapped to e2fsck's -p option which is safe to use, unlike the -a option that some file system checkers support.

    -n

    For some filesystem-specific checkers, the -n option will cause the fs-specific fsck to avoid attempting to repair any problems, but simply report such problems to stdout. This is however not true for all filesystem-specific checkers. In particular, fsck.reiserfs(8) will not report any corruption if given this option. fsck.minix(8) does not support the -n option at all.

    -r

    Interactively repair the filesystem (ask for confirmations). Note: It is generally a bad idea to use this option if multiple fsck's are being run in parallel. Also note that this is e2fsck's default behavior; it supports this option for backwards compatibility reasons only.

    -y

    For some filesystem-specific checkers, the -y option will cause the fs-specific fsck to always attempt to fix any detected filesystem corruption automatically. Sometimes an expert may be able to do better driving the fsck manually. Note that not all filesystem-specific checkers implement this option. In particular fsck.minix(8) and fsck.cramfs(8) does not support the -y option as of this writing.

    Author

    Theodore Ts'o ([email protected])

    Files

    /etc/fstab.

    Environment Variables

    The fsck program's behavior is affected by the following environment variables:

    FSCK_FORCE_ALL_PARALLEL

    If this environment variable is set, fsck will attempt to run all of the specified filesystems in parallel, regardless of whether the filesystems appear to be on the same device. (This is useful for RAID systems or high-end storage systems such as those sold by companies such as IBM or EMC.)

    FSCK_MAX_INST

    This environment variable will limit the maximum number of file system checkers that can be running at one time. This allows configurations which have a large number of disks to avoid fsck starting too many file system checkers at once, which might overload CPU and memory resources available on the system. If this value is zero, then an unlimited number of processes can be spawned. This is currently the default, but future versions of fsck may attempt to automatically determine how many file system checks can be run based on gathering accounting data from the operating system.

    PATH

    The PATH environment variable is used to find file system checkers. A set of system directories are searched first: /sbin, /sbin/fs.d, /sbin/fs, /etc/fs, and /etc. Then the set of directories found in the PATH environment are searched.

    FSTAB_FILE

    This environment variable allows the system administrator to override the standard location of the /etc/fstab file. It is also useful for developers who are testing fsck.

    See Also

    fstab(5), mkfs(8), fsck.ext2(8) or fsck.ext3(8) or e2fsck(8), cramfsck(8), fsck.minix(8), fsck.msdos(8), fsck.jfs(8), fsck.nfs(8), fsck.vfat(8), fsck.xfs(8), fsck.xiafs(8), reiserfsck(8).

    REFERENCED BY

    findfs(8), fs(5), jfs_tune(8), logsave(8), mkfs.minix(8), quotacheck(8), shutdown(8), tune2fs(8)

  6. tail?

    I think its -f for Linux

    NAME

    tail - output the last part of files

    SYNOPSIS

    tail [OPTION]... [FILE]...

    DESCRIPTION

    Print the last 10 lines of each FILE to standard output. With more than one FILE, precede each with a header giving the file name. With no FILE, or when FILE is -, read standard input.

    Mandatory arguments to long options are mandatory for short options too.

    --retry

    keep trying to open a file even if it is inaccessible when tail starts or if it becomes inaccessible later -- useful only with -f

    -c, --bytes=N

    output the last N bytes

    -f, --follow[={name|descriptor}]

    output appended data as the file grows; -f, --follow, and --follow=descriptor are equivalent

    -F

    same as --follow=name --retry

    -n, --lines=N

    output the last N lines, instead of the last 10

    --max-unchanged-stats=N

    with --follow=name, reopen a FILE which has not changed size after N (default 5) iterations to see if it has been unlinked or renamed (this is the usual case of rotated log files)

    --pid=PID

    with -f, terminate after process ID, PID dies

    -q, --quiet, --silent

    never output headers giving file names

    -s, --sleep-interval=S

    with -f, sleep for approximately S seconds (default 1.0) between iterations.

    -v, --verbose

    always output headers giving file names

    --help

    display this help and exit

    --version

    output version information and exit

    If the first character of N (the number of bytes or lines) is a `+', print beginning with the Nth item from the start of each file, otherwise, print the last N items in the file. N may have a multiplier suffix: b for 512, k for 1024, m for 1048576 (1 Meg).

    With --follow (-f), tail defaults to following the file descriptor, which means that even if a tail'ed file is renamed, tail will continue to track its end. This default behavior is not desirable when you really want to track the actual name of the file, not the file descriptor (e.g., log rotation). Use --follow=name in that case. That causes tail to track the named file by reopening it periodically to see if it has been removed and recreated by some other program.

    SEE ALSO

    The full documentation for tail is maintained as a Texinfo manual. If the info and tail programs are properly installed at your site, the command

    info tail

    should give you access to the complete manual.

  7. that is why I moved to http://www.beryl-project.org/, as if that happens you right click the diamond and tell it to restart the windows manager. it does not kill X but it does give you back window control.

    the issue is that computz is still alpha and crashes, but the default way of install gives you no way to restart cleanly..

    also beryl lets you turn it on and off, useful for video player that have problems with the 3d desktop

  8. I think I gave out bad advice. I told Matt to delete the firestarter init file(I thought it was the one I created). On my ubuntu system, I used apt-get to uninstall and reinstall firestarter, but the /etc/init.d/firestarter file is not being created. Any ideas why?

    is it in /etc/rcS.d ?

    somethings like S19firestarter

  9. hmm, that could be the problem. the system does not start things in /etc/inint.d

    it runs scripts in the /etc/rc.d/ folder depending on startup level

    RC3 is normaly network for Linux so it would be

    /etc/rc.d/rc3.d

    also your script Should start with a "S" to signify startup as "K" is shutdown and a number to show boot order example

    S29FireStarter would execute at startup after script < 28

    when firestarter what installed it should have put in a boot script and then you softlink it to /etc/init.d

    note ubuntu and debian use /etc/rcS.d/ as its initiation folder

    so you may be stepping on the startscript..

    here is the start script for fedora

    #!/bin/sh
    #
    # Init file for the Firestarter firewall
    #
    # chkconfig: 2345 11 92
    #
    # description: Starts, stops, and lock the firewall
    #
    # Script Authors:
    # Tomas Junnonen <[email protected]>
    # Paul Drain <[email protected]>
    #
    # config: /etc/firestarter/configuration

    # Source function library.
    . /etc/init.d/functions

    # Source networking configuration
    . /etc/sysconfig/network

    # Check that networking is up.
    [ ${NETWORKING} = "no" ] && exit 0

    FS_CONTROL="/etc/firestarter/firestarter.sh"

    [ -x $FS_CONTROL ] || exit 0
    [ -s /etc/firestarter/configuration ] || exit 0

    RETVAL=0

    start() {
    echo -n "Starting the Firestarter firewall: "
    $FS_CONTROL start > /dev/null
    RETVAL=$?
    if [ $RETVAL -eq 0 ]; then
    success
    else
    failure
    fi
    echo
    return $RETVAL
    }

    stop() {
    echo -n "Stopping the Firestarter firewall:"
    $FS_CONTROL stop > /dev/null
    RETVAL=$?
    if [ $RETVAL -eq 0 ]; then
    success
    else
    failure
    fi
    echo
    return $RETVAL
    }

    lock() {
    echo -n "Locking the Firestarter firewall:"
    $FS_CONTROL lock > /dev/null
    RETVAL=$?
    if [ $RETVAL -eq 0 ]; then
    success
    else
    failure
    fi
    echo
    return $RETVAL
    }

    # See how we were called.
    case "$1" in
    start)
    start
    RETVAL=$?
    ;;
    stop)
    stop
    RETVAL=$?
    ;;
    restart)
    stop
    start
    RETVAL=$?
    ;;
    lock)
    lock
    RETVAL=$?
    ;;
    status)
    if [ -e /var/lock/subsys/firestarter -o -e /var/lock/firestarter ]; then
    echo "Firestarter is running..."
    else
    echo "Firestarter is stopped"
    fi
    RETVAL=$?
    ;;
    *)
    echo "Usage: firestarter {start|stop|restart|lock|status}"
    exit 1
    esac
    exit $RETVAL

    here is the debian/ubuntu start script

    #!/bin/sh
    #
    # Init file for the Firestarter firewall
    #
    # chkconfig: 2345 11 92
    #
    # description: Starts, stops, and lock the firewall
    #
    # Script Authors:
    # Tomas Junnonen <[email protected]>
    # Paul Drain <[email protected]>
    #
    # config: /etc/firestarter/configuration

    FS_CONTROL="/etc/firestarter/firestarter.sh"

    [ -x /usr/sbin/firestarter ] || exit 0
    [ -x $FS_CONTROL ] || exit 0
    [ -s /etc/firestarter/configuration ] || exit 0

    RETVAL=0

    start() {
    echo -n "Starting the Firestarter firewall: "
    $FS_CONTROL start > /dev/null
    RETVAL=$?
    if [ $RETVAL -eq 0 ]; then
    echo done.
    else
    echo failed.
    fi
    return $RETVAL
    }

    stop() {
    echo -n "Stopping the Firestarter firewall:"
    $FS_CONTROL stop > /dev/null
    RETVAL=$?
    if [ $RETVAL -eq 0 ]; then
    echo done.
    else
    echo failed.
    fi
    return $RETVAL
    }

    lock() {
    echo -n "Locking the Firestarter firewall:"
    $FS_CONTROL lock > /dev/null
    RETVAL=$?
    if [ $RETVAL -eq 0 ]; then
    echo done.
    else
    echo failed.
    fi
    return $RETVAL
    }

    # See how we were called.
    case "$1" in
    start)
    start
    RETVAL=$?
    ;;
    stop)
    stop
    RETVAL=$?
    ;;
    restart)
    stop
    start
    RETVAL=$?
    ;;
    force-reload)
    stop
    start
    RETVAL=$?
    ;;
    lock)
    lock
    RETVAL=$?
    ;;
    status)
    if [ -e /var/lock/subsys/firestarter -o -e /var/lock/firestarter ]; then
    echo "Firestarter is running..."
    else
    echo "Firestarter is stopped"
    fi
    RETVAL=$?
    ;;
    *)
    echo "Usage: firestarter {start|stop|restart|force-reload|lock|status}"
    exit 1
    esac
    exit $RETVAL

  10. This is very strange.... I just ran hackerwatch.org and shields up scan after a new boot. This time, it is again telling me that my ports are closed, but insecure as opposed to when I start manually and scan. I don't get it at all.

    I did notice that if I manually run Firestarter, and then 'Exit' it, my port scan comes up as secure--so I know that it can run in the background.

    Maybe I haven't configured Firestarter correctly.

    Here's this, if that's of any help (before manually starting it):

    matt@linux:~$ ps -ef | grep firestarter
    matt 5768 5746 0 19:33 pts/0 00:00:00 grep firestarter

    Edit: I just rebooted yet again, went to shields up, and it is reporting that my ports are secure. It seems as though it is inconsistent on whether or not it actually loads on bootup.

    try this command when it looks like it is not running

    udo /etc/init.d/firestarter status

  11. I see the downside of this..

    Since it installs as a file not a partition, Which sorry to say, used to be Computers 101

    if your windows partition fails you loose windows and Linux, also it will be slower than a partition as you are using a file that the OS handles writes and not a partition the Drive handles. your file can become fragmented making it much slower, while a Linux partition using modern File systems do not fragment as much as NTFS and even if it did the entire partition would not fragment unlike the file.